package com.hzya.frame.sysnew.sendMessageLog.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.pushMessage.entity.SysPushMessageEntity;
import com.hzya.frame.sysnew.sendMessageLog.entity.SysSendMessageLogEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * (SysSendMessageLog)表服务接口
 *
 * @author makejava
 * @since 2024-08-30 14:19:30
 */
public interface ISysSendMessageLogService extends IBaseService<SysSendMessageLogEntity, String>{


    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    JsonResultEntity queryEntity(JSONObject jsonObject);

    JsonResultEntity getEntity(JSONObject jsonObject);

    JsonResultEntity saveEntity(JSONObject jsonObject);

    JsonResultEntity markRead(JSONObject jsonObject);

    JsonResultEntity updateEntity(JSONObject jsonObject);

    JsonResultEntity deleteEntity(JSONObject jsonObject);

    boolean sendMessage(SysPushMessageEntity entity);



}
